asn1_recode_per Class Reference

Forward declaration of asn1c class. More...

`#include <asn1_recode_per.hh>`

Inheritance diagram for asn1_recode_per:

## Protected Member Functions

int | ber2per (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | per2ber (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | recode (const asn_TYPE_descriptor_s &td, int from, int to, TTCN_Buffer &buf)

## Detailed Description

Forward declaration of asn1c class.

## Member Function Documentation

## ber2per()

int asn1_recode_per::ber2per | ( | const asn_TYPE_descriptor_s & | td,
|  | TTCN_Buffer & | buf
| ) |  |

protected

## per2ber()

int asn1_recode_per::per2ber | ( | const asn_TYPE_descriptor_s & | td,
|  | TTCN_Buffer & | buf
| ) |  |

protected

## recode()

int asn1_recode_per::recode | ( | const asn_TYPE_descriptor_s & | td,
|  | int | from,
|  | int | to,
|  | TTCN_Buffer & | buf
| ) |  |

protected

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/asn1_recode_per.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/Asn1Recode.cc